# MCS_ChannelAttributes_assigned Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_ChannelAttributes_assigned:

List of all members.

## Public Member Functions

| MCS_ChannelAttributes_assigned (unsigned tag=3, TagClass tagClass=ContextSpecificTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

MCS_AssignedChannelId | m_channelId

## Constructor & Destructor Documentation

MCS_ChannelAttributes_assigned::MCS_ChannelAttributes_assigned | ( | unsigned | tag = `3`,
|  | TagClass | tagClass = `ContextSpecificTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_ChannelAttributes_assigned::GetDataLength | ( |  | ) | const

PBoolean MCS_ChannelAttributes_assigned::Decode | ( | PASN_Stream & | strm | ) |

void MCS_ChannelAttributes_assigned::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_ChannelAttributes_assigned::PrintOn | ( | ostream & | strm | ) | const

Comparison MCS_ChannelAttributes_assigned::Compare | ( | const PObject & | obj | ) | const

PObject* MCS_ChannelAttributes_assigned::Clone | ( |  | ) | const

## Member Data Documentation

MCS_AssignedChannelId MCS_ChannelAttributes_assigned::m_channelId

The documentation for this class was generated from the following file:

- mcs.h